# $Revision: 1.79 $, $Date: 2006/11/21 19:19:36 $
#
# Conditional build:
%bcond_without	guile	# disable guile support
%bcond_without	ocaml	# disable ocaml support
%bcond_without	perl	# disable perl support
%bcond_without	php	# disable php support
%bcond_without	ruby	# disable ruby support
%bcond_without	tcl	# disable tcl support
#
Summary:	Interface generator for Perl, Tcl, Guile and Python
Summary(pl):	Generator interfejsw do Perla, Tcl-a, Guile'a i Pythona
Summary(pt_BR):	Gerador de Interfaces e "Wrappers" Simplificado (SWIG)
Name:		swig
Version:	1.3.31
Release:	1
License:	distributable
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/swig/%{name}-%{version}.tar.gz
# Source0-md5:	4a0bae63e3713e89b26db7209b6a7e05
Patch0:		%{name}-format.patch
Patch1:		%{name}-php.patch
Patch2:		%{name}-php-freearg.patch
Patch3:		%{name}-php-vdecl.patch
URL:		http://www.swig.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_guile:BuildRequires:	guile-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
%{?with_ocaml:BuildRequires:	ocaml}
%{?with_perl:BuildRequires:	perl-devel >= 1:5.6.1}
%{?with_php:BuildRequires:	php-cli}
%{?with_php:BuildRequires:	php-devel >= 4.1.0}
BuildRequires:	python-devel >= 1:2.3.2
%if %{with ruby}
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.6.3
%endif
%{?with_tcl:BuildRequires:	tcl-devel >= 8.3.3}
Obsoletes:	swig-ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SWIG is a compiler that attempts to make it easy to integrate C, C++,
or Objective-C code with scripting languages including Perl, Tcl, and
Python. In a nutshell, you give it a bunch of ANSI C/C++ declarations
and it generates an interface between C and your favorite scripting
language. However, this is only scratching the surface of what SWIG
can do--some of its more advanced features include automatic
documentation generation, module and library management, extensive
customization options, and more.

SWIG is entirely the product of users who have used the system and
suggested new idea. There are far too many people to thank
individually, but without this support, SWIG would be not be nearly as
powerful or fun to use as it is now. Many thanks!

%description -l pl
SWIG jesk kompilatorem, ktry prbuje uatwi integrowanie kodu
napisanego w C, C++ lub Objective-C z jzykami skryptowymi, takimi jak
Perl, Tcl i Python. Mwic najprociej, jeli dostarczysz mu zestaw
zadeklarowanych w ANSI C/C++ funkcji, SWIG wygeneruje Ci interfejs
pomidzy C a Twoim ulubionym jzykiem skryptowym. To tylko drobna
cz tego co SWIG potrafi robi, bardziej zaawansowane zastosowania
to automatyczne generowanie dokumentacji, zarzdzanie bibliotekami i
moduami i wiele innych.

SWIG jest w caoci dzieem ludzi, ktrzy go uywali i wprowadzali
nowe pomysy. Zbyt wielu ich jest, aby dzikowa kademu z nich
osobno, ale bez ich wsparcia SWIG nie byby ani tak potnym
narzdziem, ani tak fajnym w uyciu jak jest teraz. Wiekie dziki!

%description -l pt_BR
O SWIG gera interfaces para perl, python e Tcl a partir de uma arquivo
com uma interface de descrio que consiste de uma combinao de C/C++
e diretivas especiais. Permite que linguagens tipo script usem C/C++
com um mnimo de esforo.

%package guile
Summary:	SWIG library: guile
Summary(pl):	Biblioteka SWIG: guile
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description guile
SWIG library: guile.

%description guile -l pl
Biblioteka SWIG: guile.

%package perl
Summary:	SWIG library: Perl
Summary(pl):	Biblioteka SWIG: Perl
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description perl
SWIG library: perl.

%description perl -l pl
Biblioteka SWIG: perl.

%package php
Summary:	SWIG library: php
Summary(pl):	Biblioteka SWIG: php
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description php
SWIG library: php.

%description php -l pl
Biblioteka SWIG: php.

%package python
Summary:	SWIG library: python
Summary(pl):	Biblioteka SWIG: python
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description python
SWIG library: python.

%description python -l pl
Biblioteka SWIG: python.

%package ruby
Summary:	SWIG library: ruby
Summary(pl):	Biblioteka SWIG: ruby
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description ruby
SWIG library: ruby.

%description ruby -l pl
Biblioteka SWIG: ruby.

%package tcl
Summary:	SWIG library: tcl
Summary(pl):	Biblioteka SWIG: tcl
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description tcl
SWIG library: tcl.

%description tcl -l pl
Biblioteka SWIG: tcl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I Tools/config
%{__autoconf}
%{__automake}
%configure

%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	M4_INSTALL_DIR=$RPM_BUILD_ROOT%{_aclocaldir}

cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	guile -p /sbin/ldconfig
%postun	guile -p /sbin/ldconfig

%post	perl -p /sbin/ldconfig
%postun	perl -p /sbin/ldconfig

%post	php -p /sbin/ldconfig
%postun	php -p /sbin/ldconfig

%post	python -p /sbin/ldconfig
%postun	python -p /sbin/ldconfig

%post	ruby -p /sbin/ldconfig
%postun	ruby -p /sbin/ldconfig

%post	tcl -p /sbin/ldconfig
%postun	tcl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Doc CHANGES NEW README ANNOUNCE TODO LICENSE
%attr(755,root,root) %{_bindir}/swig
%{_datadir}/%{name}
%{?with_guile:%exclude %{_datadir}/%{name}/%{version}/guile}
%{?with_perl:%exclude %{_datadir}/%{name}/%{version}/perl5}
%{?with_php:%exclude %{_datadir}/%{name}/%{version}/php4}
%exclude %{_datadir}/%{name}/%{version}/python
%{?with_ruby:%exclude %{_datadir}/%{name}/%{version}/ruby}
%{?with_tcl:%exclude %{_datadir}/%{name}/%{version}/tcl}
%{_examplesdir}/%{name}-%{version}

%if %{with guile}
%files guile
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/guile
%endif

%if %{with perl}
%files perl
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/perl5
%endif

%if %{with php}
%files php
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/php4
%endif

%files python
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/python

%if %{with ruby}
%files ruby
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/ruby
%endif

%if %{with tcl}
%files tcl
%defattr(644,root,root,755)
%{_datadir}/%{name}/%{version}/tcl
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swig.spec,v $
Revision 1.79  2006/11/21 19:19:36  qboosh
- updated to 1.3.31

Revision 1.78  2006/11/18 20:23:10  qboosh
- updated to 1.3.30
- updated format,php-freearg,php-vdecl patches, removed obsolete python25 patch

Revision 1.77  2006/08/28 20:55:14  arekm
- rel 2

Revision 1.76  2006/08/28 19:49:49  grzegol
- added python25.patch (fix for compiling wrappers with python-2.5)

Revision 1.75  2006/07/06 23:32:32  shadzik
- sorted BRs

Revision 1.74  2006/03/25 09:25:52  qboosh
- updated to 1.3.29

Revision 1.73  2006/02/23 19:00:14  qboosh
- updated to 1.3.28

Revision 1.72  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.71  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.70  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.69  2005/10/18 17:44:18  qboosh
- updated to 1.3.27, updated php-vdecl patch

Revision 1.68  2005/06/26 23:57:23  saq
- dropping lib64 patch (solved upstream)
- release 2

Revision 1.67  2005/06/26 23:51:17  saq
- up to 1.3.25
- note: since 1.3.22 the runtime libraries are not built nor required

Revision 1.66  2005/06/06 12:44:53  qboosh
- reverted to working 1.3.21-5 (rev. 1.63)
  swig 1.3.24 in building state is on DEVEL branch (but apps are not ready for it)

Revision 1.65  2005/05/30 06:47:03  aredridel
- added obsoletes
- NFY

Revision 1.64  2005/05/30 01:27:01  aredridel
- up to 1.3.24
- runtime libs are deprecated
- NFY (runtime dependencies are probably missing)

Revision 1.63  2005/05/03 15:15:42  mmazur
- rel 5; fixed BRs

Revision 1.62  2005/05/03 07:45:24  pluto
- release 4 for Th.

Revision 1.61  2005/03/26 18:57:09  qboosh
- unified bcond headers

Revision 1.60  2005/03/25 17:22:12  wrobell
- bconds for ocaml, ruby, guile, perl, php and tcl added
- rel. 3

Revision 1.59  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.58  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.57  2004/08/21 23:41:19  ankry
- added epoch for ruby

Revision 1.56  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.55  2004/03/22 17:18:49  arekm
- rel 1

Revision 1.54  2004/01/13 11:21:27  trojan
- updated to 1.3.21

Revision 1.53  2004/01/06 17:22:52  jajcus
- AMD64 build fix (-python-lib64.patch)

Revision 1.52  2003/12/20 01:03:04  qboosh
- updated to 1.3.20, updated php and php-vdecl patches
- "libswigocaml no longer needed" - added Obsoletes
- needs some testing

Revision 1.51  2003/11/30 20:54:10  krzak
- rel 7 for AC
- BR python-devel >= 2.3.2

Revision 1.50  2003/11/10 06:27:08  ggodlewski
- generation order fixed

Revision 1.49  2003/11/07 19:22:06  krzak
- BR: python-devel

Revision 1.48  2003/10/07 20:24:53  ggodlewski
- freearg typemap fixed when using c++ default arguments

Revision 1.47  2003/09/13 20:01:49  krzak
- tsrm.patch that fix building php subpackage
- remove %%bcond_with php
- rel 3

Revision 1.46  2003/09/13 17:47:56  krzak
- %%bcond_with php
- rel. 3

Revision 1.45  2003/09/09 21:45:06  ggodlewski
- added php support

Revision 1.44  2003/06/20 11:08:43  ankry
- md5

Revision 1.43  2003/05/25 06:27:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/04/12 09:17:53  qboosh
- added format patch to fix funny messages (what is "Successodule"?)

Revision 1.41  2003/04/04 08:50:21  trojan
- updated to 1.3.19

Revision 1.40  2003/03/01 11:12:18  radek
- updated Source0 URL

Revision 1.39  2003/02/25 11:20:43  qboosh
- BR: libtool

Revision 1.38  2003/02/25 11:14:02  malekith
- br: ocaml not ocaml-devel
- added %%{__libtoolize}; now it builds for me (libtool 1.4e)

Revision 1.37  2003/01/24 00:18:42  kloczek
- spec adapterized.

Revision 1.36  2003/01/23 22:41:29  qboosh
- 1.3.17
- fixed ocaml package (library is build without -avoid-version)

Revision 1.35  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.34  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.33  2002/09/30 01:24:52  kloczek
- fixed %description for ocaml dubpackage.

Revision 1.32  2002/09/29 17:31:25  misiek
- updated to 1.3.15; added ocaml subpackage

Revision 1.31  2002/07/25 20:37:40  misiek
- ups, .13

Revision 1.30  2002/07/25 20:35:07  misiek
- updated to 1.3.12

Revision 1.29  2002/05/10 20:58:15  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/04/13 08:04:52  qboosh
- fixed pl summary and description

Revision 1.27  2002/04/12 18:35:29  misiek
- split libs into subpackages; rel 2

Revision 1.26  2002/04/11 23:32:37  misiek
- updated to 1.3.11

Revision 1.25  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/14 00:16:29  qrczak
- swig-python.patch: look for python-2.1 and python-2.2 too.
- swig-configure.patch: Source/DOH/Test/Makefile.in doesn't exist.
- Run autoconf.
- Release 0.2.

Revision 1.21  2001/09/05 14:24:46  mis
- few fixes

Revision 1.20  2001/07/09 15:25:09  wiget
- version 1.3a5
- added BuildRequires rules
- updated %%files
- test release 0.1 - need more testing

Revision 1.19  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/02/06 11:02:29  kloczek
- spec adapterized and make %%{debug} (NOTE: package does not compile).

Revision 1.17  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/05 16:18:20  kloczek
- cosmetics only (does not compile).

Revision 1.15  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.13  1999/07/14 14:25:24  baggins
- fixed files listing

Revision 1.12  1999/07/14 14:10:38  baggins
- FHS 2.0
- cleanup
- gziping docs

Revision 1.11  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
